#include <hidef.h> 
#include "derivative.h"

void main(void) {

TPM2MODH=0x01;  //nastavení modula registru TPM1 pro f=10kHz  
TPM2MODL=0xE0;



TPM2C1SC=0x28; //nastavení řídícího registru kanálu 1 TPM1 (MS1B=1, LS1B=1)

TPM2C1VH=0x01; //nastavení střídy 5% kanálu 1 TPM1    
TPM2C1VL=0xC8;  

TPM2SC=0x0F; //nastavení oídícího registru TPM2 (hodinový zdroj sbirnice, poeddilie/1)
 
  for(;;) {
    __RESET_WATCHDOG(); 
  } 

}
